<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: Basic info</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Basic info </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h1><a class="anchor" id="intro"></a>
Introduction</h1>
<p>Tower attack is a simple game, where player can select different attackers and place them into one of entrances to cope with towers which are displaced all over the map. </p>
<h1><a class="anchor" id="menu"></a>
Menu</h1>
<p>To navigate through menu use numbers that are next to the items you want to select. If you want to go back press q or follow the instructions on the screen. </p>
<h2><a class="anchor" id="new"></a>
New game</h2>
<p>In this section of the menu, you can choose between all kinds of different maps. If you type in the number next to the map name, you start a new game with this map. </p>
<h2><a class="anchor" id="load"></a>
Load game</h2>
<p>In Load game submenu, you can load existing games you've saved previously. Just type in the number next to the game you want to play. </p>
<h2><a class="anchor" id="score"></a>
Scores</h2>
<p>You can see 6 of your best runs there. </p>
<h2><a class="anchor" id="manual"></a>
Manual</h2>
<p>To navigate in this section, use N as next, P - previous or Q - quit. You can see all kinds of different abilities of the attackers and towers </p>
<h1><a class="anchor" id="game"></a>
Game</h1>
<h2><a class="anchor" id="attackers"></a>
Attackers</h2>
<p>There are several different types of attackers: </p>
<h3><a class="anchor" id="warrior"></a>
Warrior</h3>
<p>33% chance of blocking attack from artillery 10% chance of attacking twice </p>
<h3><a class="anchor" id="mage"></a>
Mage</h3>
<p>50% chance of attacking twice 10% chance of blocking attack from medic 10% chance of getting sick and dying when attacked </p>
<h3><a class="anchor" id="archer"></a>
Archer</h3>
<p>50% chance of extending range by half 10 % chance of attacking twice </p>
<h2><a class="anchor" id="towers"></a>
Towers</h2>
<p>There are several different types of towers, too: </p>
<h3><a class="anchor" id="medic"></a>
Medic</h3>
<p>20% chance of blocking attack coming from Warrior 33% chance of surviving death and restoring 10 health 20% chance of restoring some health after being hit </p>
<h3><a class="anchor" id="heavy"></a>
Heavy</h3>
<p>20% chance of blocking all attacks 10% chance of damage to attacker when hit </p>
<h3><a class="anchor" id="artillery"></a>
Artillery</h3>
<p>25% chance of extending range by half 20% Chance of double shot </p>
<h1><a class="anchor" id="how"></a>
How to play</h1>
<p>To play the game, simply type attacker's symbol ( e.g @ ) followed by entrance number where you want to place him, so e.g. @ 1 puts attacker @ to 1st entrance. Goal of the game is to get as many attackers to the end as possible. If you just press enter without typing anything, the attackers move. </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
